Re: [PATCH] criu: fix build-deps qa warning


kai
 

On 2016年06月01日 16:35, kai.kang@... wrote:
From: Kai Kang <kai.kang@...>

It shows warning when build crius if libselinux has been built already:

WARNING: QA Issue: criu rdepends on libselinux, but it isn't a build dependency? [build-deps]

Add a patch to disable selinux support when 'selinux' is not in PACKAGECONF.

And update indentation at same time.
Hi Bruce,

Any comment on this commit, please?


Regards,
Kai


Signed-off-by: Kai Kang <kai.kang@...>
---
recipes-containers/criu/criu_git.bb | 12 ++++++----
.../criu/files/disable-selinux.patch | 26 ++++++++++++++++++++++
2 files changed, 34 insertions(+), 4 deletions(-)
create mode 100644 recipes-containers/criu/files/disable-selinux.patch

diff --git a/recipes-containers/criu/criu_git.bb b/recipes-containers/criu/criu_git.bb
index 816c806..c8be78f 100644
--- a/recipes-containers/criu/criu_git.bb
+++ b/recipes-containers/criu/criu_git.bb
@@ -18,10 +18,11 @@ PR = "r0"
PV = "1.6+git${SRCPV}"
SRC_URI = "git://github.com/xemul/criu.git;protocol=git \
- file://0001-criu-Fix-toolchain-hardcode.patch \
- file://0002-criu-Skip-documentation-install.patch \
- file://0001-criu-Change-libraries-install-directory.patch \
- "
+ file://0001-criu-Fix-toolchain-hardcode.patch \
+ file://0002-criu-Skip-documentation-install.patch \
+ file://0001-criu-Change-libraries-install-directory.patch \
+ ${@bb.utils.contains('PACKAGECONFIG', 'selinux', '', 'file://disable-selinux.patch', d)} \
+ "
COMPATIBLE_HOST = "(x86_64|arm|aarch64).*-linux"
@@ -51,6 +52,9 @@ export HOST_SYS
inherit setuptools
+PACKAGECONFIG ??= ""
+PACKAGECONFIG[selinux] = ",,libselinux"
+
do_compile_prepend() {
rm -rf ${S}/protobuf/google/protobuf/descriptor.proto
ln -s ${PKG_CONFIG_SYSROOT_DIR}/usr/include/google/protobuf/descriptor.proto ${S}/protobuf/google/protobuf/descriptor.proto
diff --git a/recipes-containers/criu/files/disable-selinux.patch b/recipes-containers/criu/files/disable-selinux.patch
new file mode 100644
index 0000000..da881dd
--- /dev/null
+++ b/recipes-containers/criu/files/disable-selinux.patch
@@ -0,0 +1,26 @@
+Upstream-Status: Inappropriate [disable feature]
+
+It shows warning when build crius if libselinux has been built already:
+
+ WARNING: QA Issue: criu rdepends on libselinux, but it isn't a build dependency? [build-deps]
+
+Apply this patch to disable selinux support when 'selinux' is not in PACKAGECONF.
+
+Signed-off-by: Kai Kang <kai.kang@...>
+
+diff --git a/Makefile.config b/Makefile.config
+index ce4b8d8..3ac2780 100644
+--- a/Makefile.config
++++ b/Makefile.config
+@@ -8,11 +8,6 @@ ifeq ($(call try-cc,$(LIBBSD_DEV_TEST),-lbsd),y)
+ DEFINES += -DCONFIG_HAS_LIBBSD
+ endif
+
+-ifeq ($(call pkg-config-check,libselinux),y)
+- LIBS := -lselinux $(LIBS)
+- DEFINES += -DCONFIG_HAS_SELINUX
+-endif
+-
+ $(CONFIG): scripts/utilities.mak scripts/feature-tests.mak include/config-base.h
+ $(E) " GEN " $@
+ $(Q) @echo '#ifndef __CR_CONFIG_H__' > $@

--
Regards,
Neil | Kai Kang

Join meta-virtualization@lists.yoctoproject.org to automatically receive all group messages.